站内搜索
发表回复
收藏 

EasyJForum 安装指南 

com.hongshee.ejforum.data.TopicISO destroy

2.3 

严重: Error listenerStart
org.apache.catalina.core.StandardContext start
严重: Context startup failed due to previous errors

com.hongshee.ejforum.data.TopicISO destroy

我也是


引用:

2.3 

严重: Error listenerStart
org.apache.catalina.core.StandardContext start
严重: Context startup failed due to previous errors

com.hongshee.ejforum.data.TopicISO destroy

--- 原帖序号: 21#,  由 happyboy 于 2009-03-02 13:38  发表

我在本地测试通过了。本地环境是tomcat5.5+jdk1.5.
服务器上出现这个错误。服务器环境tomcat5.0+jdk1.5.

难道5.0不能自动发现context?
Tomcat 5.0 的XML解析包不标准,需要5.5以上版本才行。
黑夜给了我黑色的眼睛,我却用它寻找光明。QQ: 980766123

引用:

引用:

2.3 

严重: Error listenerStart
org.apache.catalina.core.StandardContext start
严重: Context startup failed due to previous errors

com.hongshee.ejforum.data.TopicISO destroy

--- 原帖序号: 21#,  由 happyboy 于 2009-03-02 13:38  发表

我在本地测试通过了。本地环境是tomcat5.5+jdk1.5.
服务器上出现这个错误。服务器环境tomcat5.0+jdk1.5.

难道5.0不能自动发现context?

--- 原帖序号: 22#,  由 小K 于 2009-03-11 16:49  发表

5.0下的web.xml顺序不对。2.4以后对web元素不再限制。
那为什么这个系统中的web.xml
是以
<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">

开头的?我把规范改成了2.4的头文件。但是仿佛还不行,难道要逼我?

将servlet-api.jar和jsp-api替换bbs下lib以及5.0的common的lib.

还是不行啊。开发的时候是不是使用的5.0啊。不然怎么会是2.3的规范和jar呢。

引用:
Tomcat 5.0 的XML解析包不标准,需要5.5以上版本才行。

--- 原帖序号: 23#,  由 黑岩 于 2009-03-11 17:19  发表

你能不能给个2.3规范下的web.xml。这样既也可以兼容2.4的。

Tomcat 5 与 servlet 2.3, 2.4 什么的没有关系啊,开发的时候也没有关心这些事情。

为什么要修改 web.xml 文件呢?我说Tomcat 5 的 XML 解析问题不是指不能正确解析web.xml文件,而是论坛代码中使用的XML解析代码。你下载一个最新的 XML 解析器就可以运行在 tomcat 5.0下了,很多人都碰到过这样的问题,可以使用 google 搜一下。

黑夜给了我黑色的眼睛,我却用它寻找光明。QQ: 980766123

引用:

Tomcat 5 与 servlet 2.3, 2.4 什么的没有关系啊,开发的时候也没有关心这些事情。

为什么要修改 web.xml 文件呢?我说Tomcat 5 的 XML 解析问题不是指不能正确解析web.xml文件,而是论坛代码中使用的XML解析代码。你下载一个最新的 XML 解析器就可以运行在 tomcat 5.0下了,很多人都碰到过这样的问题,可以使用 google 搜一下。

--- 原帖序号: 26#,  由 黑岩 于 2009-03-11 18:36  发表

我按照你说的去google了一把:
这样就是说 JDK 1.4.2 及更新版本根本用不着 xercesImpl.jar 和 xml-apis.jar 帮忙了。只要我们细心些就能发现在 Tomcat5.0.x/common/endorsed 目录中有两个包 xercesImpl.jar 和 xml-apis.jar。因为 Tomcat 加载 endorsed 中的包是通过参数 -Djava.endorsed.dirs="X:\Tomcat5.0.x\common\endorsed" 加载的,所以放在 endorsed 目录中的包要优于 JDK 的 rt.jar,所以要用 JDK 的 XML 解析器必须把 xercesImpl.jar 和 xml-apis.jar 从 endorsed 目录中移去,这是第二种解决办法。


然后我把这两个包移除了重启,
OK!!!
成功了!
www.wibowibo.com/bbs



默认的数据库我装好了,就是配置sql server没有成功,我也是菜鸟一个
为什么在linux的环境,提示进程被锁?

引用:
为什么在linux的环境,提示进程被锁?

--- 原帖序号: 29#,  由 shuiguo639 于 2009-12-31 11:14  发表


不会吧?可能是你自己的问题,重启动一下看看。
黑夜给了我黑色的眼睛,我却用它寻找光明。QQ: 980766123
发表回复
查看积分策略说明

快速回复主题

标题  (可选)
内容

恢复自动保存的数据